@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';


@import "../support/_rulebuilderbackoffice_common-variables.scss";

.yrb-parameters {
	background: $rulebuilder__parameters-container--bg-color;/* */
	z-index: 1;
	padding: $rulebuilder__parameters-container--padding;

	.z-groupbox-content > & {
		-webkit-box-flex: 1;
	    -webkit-flex: 1;
	    -ms-flex: 1;
	    flex: 1;
	}

	.yrb-condition-children &,
	.yrb-action-children &{
		padding-left: 0;
	}
}

.yrb-parameter {
	width: 48%;
	display: inline-block;
	box-sizing: border-box;
	vertical-align: top;
	max-width: $rulebuilder__parameter--max-width;
	min-width: $rulebuilder__parameter--min-width;
	padding: $rulebuilder__parameter--padding;
	
	.yrb-label-container {
		margin-bottom: $rulebuilder__parameter-label-container--margin-bottom;

		.z-label,
		i {
			color: $rulebuilder__parameter-label--color;
			font-size: $rulebuilder__parameter-label--font-size;
			line-height: $rulebuilder__parameter-label--line-height;
			margin: 0;
			border: 0;
			padding: 0;
			display: inline;
		}
	}
	.yrb-label-container i, 
	&-validation-popup i {
		font-size: $rulebuilder__parameter-label-info--font-size;
	}
	&.yrb-required-parameter .yrb-label-container .z-label {

		font-weight: bold;
	}
	.yrb-parameter-description {
		display: inline-block;
		cursor: pointer;
		float: right;
	}
	.yrb-parameter-validation {
		display: inline-block;
		cursor: pointer;
	}
	&-description-popup {
		.yrb-parameter-uuid {
			display: block;
			font-weight: bold;
		}
		.yrb-parameter-description {
			display: block;
			padding-top: 0.5em;
		}
	}
}

.y-editor-area-attributes-cnt {
	&-min {
		.yrb-parameter {
			width: 100%;
		}
	}
	&-avg {
		.yrb-parameter {
			max-width: $rulebuilder__parameter-bp-m--max-width;
		}
	}
	&-max{
		.yrb-parameter {
			max-width: $rulebuilder__parameter-bp-l--max-width;
		}
	}
}

@include _add-yrb-parameter-validation(error, $validation__error--color);
@include _add-yrb-parameter-validation(warn, $validation__warn--color);
@include _add-yrb-parameter-validation(info, $validation__info--color);

@if $rulebuilder__parameters-container--hover-bg-color {
	.yrb-condition:hover>.yrb-condition-content>.z-groupbox>.z-groupbox-content>.yrb-parameters,
	.yrb-action:hover>.yrb-action-content>.z-groupbox>.z-groupbox-content>.yrb-parameters {
		background-color: $rulebuilder__parameters-container--hover-bg-color;
	}
}
